### Method

# Phosh Head set_pending_transform

#### Declaration [src]

    void
    phosh_head_set_pending_transform (
      PhoshHead* self,
      PhoshMonitorTransform transform,
      GPtrArray* heads
    )

#### Description [src]

Set the heads pending transform. Move pending positions of heads to the right and below `self` around to avoid gaps and overlaps in the layout.

#### Parameters

`transform`

  Type: `PhoshMonitorTransform`

  The transform to apply to the head.

`heads`

  Type: An array of `PhoshHead*`

  All currently known heads.

  The data is owned by the caller of the method.